<?php

namespace MGModule\DNSManager2\models\custom\package\registrar;
use MGModule\DNSManager2 as main;

/**
 * Description of repository
 *
 * @author Michal Czech <michael@modulesgarden.com>
 */
class Repository extends \MGModule\DNSManager2\mgLibs\models\repository
{
    public function getModelClass()
    {
        return __NAMESPACE__.'\PackageRegistrar';
    }
    
    public function byPackageID($packageid)
    {
        return $this->setFilter('packageid', $packageid);
    }

    public function byId($id)
    {
        return $this->setFilter('id', $id);
    }
    
    public function byTld($tld)
    {
        return $this->setFilter('tld', $tld);
    }    
    
    public function byItemId($itemId)
    {
        return $this->setFilter('itemid', $itemId);        
    }
    
}
